directory-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rudolf Kollien <Rudolf.Koll...@t-online.de>
Subject Unable to upgrade from M19 to M21
Date Thu, 21 Apr 2016 11:38:45 GMT
Hello,

I searched the web but didn't find any answer. I don't know, if I'm the 
only one with this problem.

I'm currently running Apache DS version M19 on Centos 6.7. Now i tried 
to upgrade to M21 and keep my config from M19 as there are many settings 
like replication, partitions, admin users, and so on.

When I copy my old config.ldif along with the partition(s) from the old 
/var/lib/apache...-directory to the new one, Apache DS don't start. In 
the log files I found many entries concerning about missing attributes. 
Tried to do a upgrade from M19 to M20 but the errors are the same. I 
tried to first export my config on the M19, stopped this, started M21 
and imported the exported M19-config.ldif. But restarting the M21-server 
brings up much more errors than plain copying the ldif to the config 
directory.

Is there any way to upgrade and keep the config and partitions?

Any help or hint is greatly appreciated.

Rudolf

Mime
View raw message